using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LoginWindowsManager : WindowSingleton<LoginWindowsManager>
{
    public WindowItem loginMain;
    public WindowItem loginPassWord;

    protected override void OnStart()
    {
        base.OnStart();
        gotologin();
    }
    public override void OnEnable()
    {
        base.OnEnable();
        gotologin();
    }
    public void gotologinPassWord()
    {
        loginMain.hide();
        loginPassWord.show();
    }

    public void gotologin()
    {

        loginMain.show();
        loginPassWord.hide();
    }

    public void Login()
    {
        LoginManager.Instance.GotoLogin();
    }

    public void hide()
    {
        this.gameObject.SetActive(false);
    }

    public void show()
    {
        this.gameObject.SetActive(true);
        gotologin();
    }
}
